using Pixiview.Utils;
using Xamarin.Forms;

namespace Pixiview.UI.Theme
{
    public class DarkTheme : ThemeBase
    {
        private static DarkTheme _instance;

        public static DarkTheme Instance
        {
            get
            {
                if (_instance == null)
                {
                    _instance = new DarkTheme();
                }
                return _instance;
            }
        }

        public DarkTheme()
        {
            InitColors();
            InitResources();
        }

        private void InitColors()
        {
            Add(StatusBarStyle, StatusBarStyles.WhiteText);
            Add(WindowColor, Color.Black);
            Add(TintColor, Color.FromRgb(0x94, 0x95, 0x9a));
            Add(TextColor, Color.White);
            Add(SubTextColor, Color.LightGray);
            Add(CardBackgroundColor, Color.FromRgb(0x33, 0x33, 0x33));
            Add(MaskColor, Color.FromRgba(0xff, 0xff, 0xff, 0x64));
            Add(NavColor, Color.FromRgb(0x11, 0x11, 0x11));
            Add(NavSelectedColor, Color.FromRgb(0x22, 0x22, 0x22));
            Add(OptionBackColor, Color.Black);
            Add(OptionTintColor, Color.FromRgb(0x11, 0x11, 0x11));
        }
    }
}
